import type { Equatable } from "@siteimprove/alfa-equatable";
import type { Serializable } from "@siteimprove/alfa-json";
import { Parser } from "@siteimprove/alfa-parser";
import type { Slice } from "@siteimprove/alfa-slice";
import type { Parser as CSSParser } from "./parser.js";
import { Token } from "./token.js";
/**
 * {@link https://drafts.csswg.org/css-syntax/#component-value}
 *
 * @public
 */
export declare class Component implements Iterable<Token>, Equatable, Serializable {
    static of(value: Iterable<Token>): Component;
    private readonly _value;
    protected constructor(value: Array<Token>);
    get value(): Array<Token>;
    [Symbol.iterator](): Iterator<Token>;
    equals(value: unknown): value is this;
    toJSON(): Component.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Component {
    type JSON = Array<Token.JSON>;
    /**
     * {@link https://drafts.csswg.org/css-syntax/#consume-a-component-value}
     */
    const consume: CSSParser<Component>;
    /**
     * {@link https://drafts.csswg.org/css-syntax/#parse-component-value}
     */
    const parse: Parser<Slice<Token>, Component, string, []>;
}
//# sourceMappingURL=component.d.ts.map