import { type Parser as CSSParser } from "../../../../syntax/index.js";
import { Hint } from "./hint.js";
import { Stop } from "./stop.js";
export type Item = Hint | Stop;
export declare namespace Item {
    type JSON = Hint.JSON | Stop.JSON;
    type Canonical = Hint.Canonical | Stop.Canonical;
    type PartiallyResolved = Hint.PartiallyResolved | Stop.PartiallyResolved;
    type Resolver = Hint.Resolver & Stop.Resolver;
    function resolve(resolver: Resolver): (value: Item) => Canonical;
    type PartialResolver = Hint.PartialResolver & Stop.PartialResolver;
    /**
     * {@link https://drafts.csswg.org/css-images/#typedef-color-stop-list}
     */
    const parseList: CSSParser<Array<Item>>;
}
//# sourceMappingURL=item.d.ts.map