import type { Hash } from "@siteimprove/alfa-hash";
import { Parser } from "@siteimprove/alfa-parser";
import { Token } from "../../../../syntax/index.js";
import type { Resolvable } from "../../../resolvable.js";
import { Value } from "../../../value.js";
import { Position } from "./position.js";
/**
 * @internal
 */
export declare class Corner extends Value<"corner", false> implements Resolvable<Corner.Canonical, Corner.Resolver> {
    static of(vertical: Position.Vertical, horizontal: Position.Horizontal): Corner;
    private readonly _vertical;
    private readonly _horizontal;
    protected constructor(vertical: Position.Vertical, horizontal: Position.Horizontal);
    get vertical(): Position.Vertical;
    get horizontal(): Position.Horizontal;
    resolve(): Corner.Canonical;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): Corner.JSON;
    toString(): string;
}
/**
 * @internal
 */
export declare namespace Corner {
    interface JSON extends Value.JSON<"corner"> {
        vertical: Position.Vertical;
        horizontal: Position.Horizontal;
    }
    type Canonical = Corner;
    type Resolver = {};
    /**
     * {@link https://drafts.csswg.org/css-images/#typedef-side-or-corner}
     *
     * @internal
     */
    const parse: Parser<import("@siteimprove/alfa-slice").Slice<Token>, Corner, string, []>;
}
//# sourceMappingURL=corner.d.ts.map