import { Parser } from "@siteimprove/alfa-parser";
import type { Slice } from "@siteimprove/alfa-slice";
import type { Token } from "../../../../syntax/index.js";
import { Angle } from "../../../numeric/index.js";
import { Corner } from "./corner.js";
import { Side } from "./side.js";
/**
 * @internal
 */
export type Direction = Angle | Corner | Side;
/**
 * @internal
 */
export declare namespace Direction {
    type JSON = Angle.JSON | Corner.JSON | Side.JSON;
    type Canonical = Angle.Canonical | Corner.Canonical | Side.Canonical;
    type Resolver = Angle.Resolver & Corner.Resolver & Side.Resolver;
    /**
     * @internal
     */
    const parse: Parser<Slice<Token>, Direction, string, []>;
}
//# sourceMappingURL=direction.d.ts.map