import type { Hash } from "@siteimprove/alfa-hash";
import { Parser } from "@siteimprove/alfa-parser";
import { Angle } from "../numeric/index.js";
import type { Resolvable } from "../resolvable.js";
import { Function } from "./function.js";
/**
 * @public
 */
export declare class Skew extends Function<"skew", false> implements Resolvable<Skew.Canonical, never> {
    static of(x: Angle, y: Angle): Skew;
    private readonly _x;
    private readonly _y;
    protected constructor(x: Angle.Canonical, y: Angle.Canonical);
    get x(): Angle.Canonical;
    get y(): Angle.Canonical;
    resolve(): Skew;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): Skew.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Skew {
    type Canonical = Skew;
    interface JSON extends Function.JSON<"skew"> {
        x: Angle.Fixed.JSON;
        y: Angle.Fixed.JSON;
    }
    function isSkew(value: unknown): value is Skew;
    const parse: Parser<import("@siteimprove/alfa-slice").Slice<import("../../syntax/token.js").Token>, Skew, string, []>;
}
//# sourceMappingURL=skew.d.ts.map